Bug 849827 - [clone] Dashboard pages with special characters
[clone] Dashboard pages with special characters
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: 5.2.x
Assigned To: Russell Dickenson
Martin Vecera
:
Depends On: 838973
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 00:55 EDT by Jared MORGAN
Modified: 2015-08-09 21:24 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 838973
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared MORGAN 2012-08-21 00:55:44 EDT
+++ This bug was initially created as a clone of Bug #838973 +++

Description of problem:
It is possible create dashboard page (using dashboard tab portlet) which contains special characters. When you are on the page there are underscores in url instead special characters.

Steps to Reproduce:
1. open portal, sign in and go to dashboard
2. click "+" button to create new dashboard page
3. write some special characters and press enter

--- Additional comment from claprun@redhat.com on 2012-07-25 19:44:27 EST ---

Change in behavior is due to work done for https://bugzilla.redhat.com/show_bug.cgi?id=805527

--- Additional comment from bdawidow@redhat.com on 2012-07-27 21:34:05 EST ---

For this one Chris checked and confirmed that those pages are working properly and URLs to them are handled properly. 

There is slight behaviour change in validation but it is not clear if this should be a bug or we should just create a technical note explaining the change.

--- Additional comment from mvanco@redhat.com on 2012-07-30 21:00:00 EST ---

Yup, this is change in validation, new format is handled properly.
Disadvantage can be bookmarking with "_" instead of any special character.
+1 for technical note + update in documentation http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/User_Guide/index.html#sect-User_Guide-Dashboard_Portlet (currently there is no information about what is allowed and what not)

--- Additional comment from myarboro@redhat.com on 2012-08-01 00:18:11 EST ---


    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Bolek to supply

--- Additional comment from mwringe@redhat.com on 2012-08-01 01:21:24 EST ---

I added a technical note for this issue before, but it doesn't appear that it made it through on the submit. Re-adding the technical note.

--- Additional comment from mwringe@redhat.com on 2012-08-01 01:21:24 EST ---


    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,7 @@
-Bolek to supply+CAUSE: Validation of dashboard page names changed. 
+
+CONSEQUENCE: Dashboard page names with special characters are no longer considered an invalid page name.
+
+FIX: The portal can now properly handles dashboard page names with special characters. If a dashboard name contains an special character, it will be replaced with an underscore in the URL.
+
+RESULT: Special characters are now allowed in dashboard page names.

--- Additional comment from vramik@redhat.com on 2012-08-01 01:53:59 EST ---

To Matt:

>The portal can now properly handles dashboard page names with special >characters. If a dashboard name contains an special character, it will be >replaced with an underscore in the URL.

That's ok. But when I try to add page which starts by number the message "Name cannot be empty and must start with a character" is shown. 

1) Is it ok that page can start by special character and cannot by number?

2) Message says "... and must start with a character" and special character isn't regular character. Is this expected behaviour?

--- Additional comment from mwringe@redhat.com on 2012-08-02 03:04:38 EST ---

Please open a separate issue with the error message being wrong (it should say something along the lines of a dashboard name cannot start with a number). The requirement that a dashboard name start with something other than a number is not an issue with special characters in the dashboard name (ie & > & ...)

--- Additional comment from jmorgan@redhat.com on 2012-08-21 14:54:11 EST ---


    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1 @@
-CAUSE: Validation of dashboard page names changed. 
+A change to how dashboard page names were validated in another issue caused dashboard page names containing special characters to no longer be considered as invalid. If a dashboard name contains a special character, it is now replaced with an underscore in the URL. This new functionality will be added to the Dashboard Portlet section of the User Guide in a future release.-
-CONSEQUENCE: Dashboard page names with special characters are no longer considered an invalid page name.
-
-FIX: The portal can now properly handles dashboard page names with special characters. If a dashboard name contains an special character, it will be replaced with an underscore in the URL.
-
-RESULT: Special characters are now allowed in dashboard page names.
Comment 1 Jared MORGAN 2012-10-14 16:42:25 EDT
I'm pretty sure this bug has been mentioned in other User Guide bugs Russell.

Whoever is assigned the bulk of the User Guide issues should take this for action.
Comment 2 Russell Dickenson 2013-01-02 23:26:18 EST
I have added an admonition to the "User Guide" at [1].

[1] http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html-single/User_Guide/index.html#sect-User_Guide-Dashboard_Portlet.

Note that it may be a few hours before the document has been updated on Docstage.

Note You need to log in before you can comment on or make changes to this bug.